/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package presentacion;

import java.sql.ResultSet;
import logica.Cliente;
import util.Funciones;

/**
 *
 * @author silviopd
 */
public class FrmClienteListar extends javax.swing.JInternalFrame {

    /**
     * Creates new form FrmClienteListar
     */
    
    ResultSet resultado;
    
    public FrmClienteListar() {
        initComponents();
        
        this.setSize(Funciones.ANCHO_CONTENEDOR, Funciones.ALTO_CONTENEDOR);
        
        obtenerResultados();
        listar();
    }
    
    private void obtenerResultados() {
        try {
            this.resultado = new Cliente().listar();
        } catch (Exception e) {
            Funciones.mensajeError(e.getMessage(), "Error");
        }
    }

    private void listar() {
        try {
            String alineacionColumnas[] = {"C", "I", "D", "C", "C", "I", "I", "I", "I", "I", "I"};
            int anchoColumnas[] = {80, 350, 120, 80, 100, 200, 200, 200, 200, 200, 200};

            String campoFiltro = "";
//            if (this.cboCampoFiltro.getSelectedIndex() >= 0) {
//                campoFiltro = this.cboCampoFiltro.getSelectedItem().toString();
//            } else {
//                campoFiltro = "nombre"; //Nombre del artículo
//            }
                String valorBusqueda = "";
//            valorBusqueda = txtValorBusqueda.getText();
            Funciones.llenarTablaBusqueda(tblListado, resultado,
                    anchoColumnas, alineacionColumnas, campoFiltro, valorBusqueda);
            this.tblListado.setDefaultEditor(Object.class, null);
        } catch (Exception e) {
            Funciones.mensajeError(e.getMessage(), "Error");
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        tblListado = new javax.swing.JTable();

        tblListado.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(tblListado);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 649, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(41, 41, 41)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(27, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable tblListado;
    // End of variables declaration//GEN-END:variables
}
